/*
 * Copyright (c) 2009, 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.sun.ts.tests.jpa.core.derivedid.ex3a;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import java.io.Serializable;

/**
 *
 * @author Raja Perumal
 */

@Entity
public class DID3Employee implements Serializable {

    private static final long serialVersionUID = 1L;

    @EmbeddedId DID3EmployeeId empId;

    public DID3Employee() {
    }

    public DID3Employee(DID3EmployeeId eId) {
        this.empId=eId;
    }

     public DID3EmployeeId getEmpId() {
        return empId;
    }

    public void setEmpId(DID3EmployeeId empId) {
        this.empId = empId;
    }
}
